Refresh Cash Flow

PUT /ws/rest/service/v1/cashflow/refresh/{project_number}

Purpose

Refresh Cashflow Properties

Request Format

All parameters must be URL encoded.

Specify the request in JSON format in the body.

{

"names": ["CBS CF", cash_flow_2"]

}

project_number:Required parameter.

Request Parameters in Options

The following parameters can be included in the Options:

Request Parameter Description
"names" Name of the cash flow. Enter multiple cash flows as comma-separated values..
rollup_status The rollup status of the cash flow. Valid options include: Active, or Inactive
detail_level The detail level of the cash flow curve. Valid values include: CBS, Summary CBS, Project / Shell, or Commitment

For any other values, an error message is displayed in the response.

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Success Response

This is an example of successful response.

{

"data": "",

"message": ["http://slc12knf.us.oracle.com:912<server url>/ws/rest/service/v1/cashflow/jobs/1503681423559"],

"status": 202

}

Sample Failed Response

This is an example of a failed response with status code 3000.

{

"invalid_names": "[Summary1, Curve2]",

"data": [],

"message": [

"http://blr00bti.in.oracle.com:3883/idchyd<server url>/ws/rest/service/v1/cashflow/jobs/1556455198417"

],

"status": 3000

}